import { EntityRepository, Repository } from "typeorm";
import { UpdateHomePageSectionEightCmsDto } from "./dto/update-home-page-section-eight-cms.dto";
import { HomePageSectionEightCms } from "./entities/home-page-section-eight-cms.entity";

@EntityRepository(HomePageSectionEightCms)
export class HomePageSectionEightCmsRepository extends Repository<HomePageSectionEightCms> {

    async createEntity(dto: UpdateHomePageSectionEightCmsDto): Promise<HomePageSectionEightCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                status: dto.status
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePageSectionEightCmsDto, id: string): Promise<HomePageSectionEightCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                status: dto.status
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageSectionEightCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}