import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { AboutPageSectionTwoController } from "./about-page-section-two.controller";
import { AboutPageSectionTwoRepository } from "./about-page-section-two.repository";
import { AboutPageSectionTwoService } from "./about-page-section-two.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([AboutPageSectionTwoRepository])
    ],
    controllers: [AboutPageSectionTwoController],
    providers: [AboutPageSectionTwoService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class AboutPageSectionTwoModule {
}
