import { Module } from "@nestjs/common";
import { DutchiePlusProductService } from "./dutchie-plus-product.service";
import { DutchiePlusProductController } from "./dutchie-plus-product.controller";
import { DutchiePlusRetailerService } from "../dutchie-plus-retailer/dutchie-plus-retailer.service";
import { TypeOrmModule } from "@nestjs/typeorm";
import { ProductCategoryRepository } from "src/modules/product-category/product-category.repository";
import { RetailerServiceRepository } from "../../retailer-service/retailer-service.repository";

@Module({
    imports: [
        TypeOrmModule.forFeature([
            ProductCategoryRepository,
            RetailerServiceRepository
        ])
    ],
    controllers: [DutchiePlusProductController],
    providers: [DutchiePlusProductService, DutchiePlusRetailerService]
})
export class DutchiePlusProductModule {
}
