import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { ProductReviewController } from "./product-review.controller";
import { ProductReviewRepository } from "./product-review.repository";
import { ProductReviewService } from "./product-review.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductReviewRepository])
    ],
    controllers: [ProductReviewController],
    providers: [ProductReviewService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ProductReviewModule {
}
