import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { SocialPackController } from "./social-pack.controller";
import { SocialPackRepository } from "./social-pack.repository";
import { SocialPackService } from "./social-pack.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([SocialPackRepository])
    ],
    controllers: [SocialPackController],
    providers: [SocialPackService, JwtHelper]
})
export class SocialPackModule {
}
